summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-02-04 21:47:50 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-11 07:24:17 +0700
commit154430d3d79d91b2b0b9d0cec346e24f4b902909 (patch)
treed285b8b8eb27c1abda7414ef28e66312c50f1c7e /games
parent63fffc6d626d75b201cbbffd678330012e706e02 (diff)
downloadslackbuilds-154430d3d79d91b2b0b9d0cec346e24f4b902909.tar.gz
slackbuilds-154430d3d79d91b2b0b9d0cec346e24f4b902909.tar.xz
games/bnes-libretro: Updated for version 2016.12.22_5197b6c.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/bnes-libretro/README3
-rw-r--r--games/bnes-libretro/bnes-libretro.SlackBuild12
-rw-r--r--games/bnes-libretro/bnes-libretro.info6
3 files changed, 14 insertions, 7 deletions
diff --git a/games/bnes-libretro/README b/games/bnes-libretro/README
index 98175ea583..d48b894b33 100644
--- a/games/bnes-libretro/README
+++ b/games/bnes-libretro/README
@@ -1,2 +1,5 @@
bnes is a Nintendo Entertainment System video game system emulator that
can be used as a libretro core.
+
+To build the debugging symbols use:
+ DEBUG=1 ./bnes-libretro.SlackBuild
diff --git a/games/bnes-libretro/bnes-libretro.SlackBuild b/games/bnes-libretro/bnes-libretro.SlackBuild
index 8195b6b572..95c69e3854 100644
--- a/games/bnes-libretro/bnes-libretro.SlackBuild
+++ b/games/bnes-libretro/bnes-libretro.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=bnes-libretro
LIBNAM=$(echo $PRGNAM | tr - _)
-VERSION=${VERSION:-2016.09.04_44b1f2d}
+VERSION=${VERSION:-2016.12.22_5197b6c}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,6 +57,8 @@ else
LIBDIRSUFFIX=""
fi
+DEBUG=${DEBUG:-0}
+
set -e
rm -rf $PKG
@@ -72,13 +74,15 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make
+make DEBUG=$DEBUG
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+if [ "$DEBUG" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a license README $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/bnes-libretro/bnes-libretro.info b/games/bnes-libretro/bnes-libretro.info
index ec7a960345..568047f8d3 100644
--- a/games/bnes-libretro/bnes-libretro.info
+++ b/games/bnes-libretro/bnes-libretro.info
@@ -1,8 +1,8 @@
PRGNAM="bnes-libretro"
-VERSION="2016.09.04_44b1f2d"
+VERSION="2016.12.22_5197b6c"
HOMEPAGE="http://www.libretro.com/"
-DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bnes-libretro-2016.09.04_44b1f2d.tar.xz"
-MD5SUM="123a5c22da62c95110f6479c93cedc1b"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bnes-libretro-2016.12.22_5197b6c.tar.xz"
+MD5SUM="e3b0653bb5d4c8a09b1b84cf15d5ee54"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="RetroArch"